@charset "utf-8";
/* common color */ :root {
    --grey-color: #505050;
    --light-grey-color: #e7e7e7;
    --brown-color: #724524;
    --yello-color: #edce7c;
    --light-yello-color: #fbf7ee;
    --pink-color: #f27a84;
    --light-pink-color: #fef5f6;
    --blue-color: #6d9ebd;
    --light-blue-color: #eef2f5;
    --purple-color: #ae9bc5;
    --light-purple-color: #dcddf4;
    --green-color: #8db585;
    --light-green-color: #f0fff3;
}
/* common font */
#kl-sp100-ck h2 {
    font-size: min(7.5vw, 40px);
    padding: 1rem 0;
}
#kl-sp100-ck h3 {
    font-size: min(5.5vw, 30px);
    font-family: "a-otf-ud-shin-maru-go-pr6n", sans-serif;
    font-weight: 800;
    font-style: normal;
}
#kl-sp100-ck h3 span {
    font-family: "ads-mambo", sans-serif;
    font-weight: 400;
    font-style: normal;
}
#kl-sp100-ck h4 {
    font-size: min(4.5vw, 22px);
    font-weight: bold;
}
#kl-sp100-ck p {
    font-size: min(4.5vw, 20px);
    line-height: 1.5;
}
#kl-sp100-ck :where(h2, h3, h4, p) {
    text-align: center;
    color: var(--grey-color);
}
#kl-sp100-ck .btn-star {
    position: relative;
    border: solid 2px var(--grey-color);
    border-radius: 20px;
    background-color: #ffffff;
    color: var(--grey-color);
    font-size: min(4vw, 18px);
    font-family: "a-otf-ud-shin-maru-go-pr6n", sans-serif;
    font-weight: 800;
    font-style: normal;
    line-height: 1;
    min-width: auto;
    min-height: auto;
    transition: .3s ease-out;
}
#kl-sp100-ck .btn-star:hover {
    letter-spacing: 0.1em;
}
#kl-sp100-ck .btn-star::before, #kl-sp100-ck .btn-star::after {
    content: "";
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    display: inline-block;
    font-size: min(4vw, 18px);
    height: 1em;
    aspect-ratio: 3;
    background-size: contain;
    background-repeat: no-repeat;
}
#kl-sp100-ck .btn-star::before {
    left: .5em;
    background-image: url(/content/dam/casio/global/label-writer/special/kl-sp100-ck/img/bg-btn-left.svg);
}
#kl-sp100-ck .btn-star::after {
    right: .5em;
    background-image: url(/content/dam/casio/global/label-writer/special/kl-sp100-ck/img/bg-btn-right.svg);
}
#kl-sp100-ck .btn-star .cmp-button__text {
    margin: .5em 4em;
}
#kl-sp100-ck .cmp-swipe-carousel.swiper-horizontal .swiper-pagination-bullet, .cmp-swipe-vertical-carousel .swiper-pagination-bullet {
    border-color: var(--grey-color);
    border-width: 2px;
    width: 15px;
    height: 15px;
}
#kl-sp100-ck .cmp-swipe-carousel.swiper-horizontal .swiper-pagination-bullet-active, .cmp-swipe-vertical-carousel .swiper-pagination-bullet-active {
    background-color: var(--grey-color);
}
/*common-layout*/
[id*="layout"][id*="row"] > .aem-Grid {
    display: flex;
}
[id$="inner"] {
    width: 90%;
    max-width: 1000px;
    margin: 0 auto;
}
#features [id$="title"] {
    margin-bottom: 30px;
}
#features [id$="title"] h3 span {
    font-size: 1.5em;
    padding-right: .2em;
}

#lineup, #features-label, #features-emoji-frame, #features-sample-label, #features-app, #footer-bonus {
    padding: 100px 0px;
}
#features-photo-gallery {
    padding: 100px 0px 200px;
}
/*lineup*/
#lineup {
    background-color: var(--light-yello-color);
}
#lineup .aem-Grid:has(> .single-product-panel) {
    width: 50%;
    margin: 0 auto;
}
/*bonus*/
#bonus {
    background-color: var(--light-yello-color);
}
[id$="bonus-lead"] h2 {
    font-family: "sicuveiw-nexus", sans-serif;
    font-weight: 800;
    font-style: normal;
}
[id$="bonus-lead"] .date {
    color: #f27a84;
    font-family: "ads-mambo", sans-serif;
    font-weight: 400;
}
#bonus-image {
    margin-bottom: 200px;
}
[id$="bonus-nameland"] {
    position: relative;
}
[id$="bonus-nameland"]::after {
    content: "";
    position: absolute;
    top: 50%;
    left: -17%;
    transform: translateY(-50%);
    display: block;
    width: 70px;
    aspect-ratio: 1;
    background: no-repeat url(/content/dam/casio/global/label-writer/special/kl-sp100-ck/img/icon-plus.svg);
    background-size: cover;
}
[id$="bonus-image__layout-row"] {
    margin-bottom: 2rem;
}
[id$="bonus-image__layout-row"] > .aem-Grid {
    align-items: center;
}
[id$="bonus-image__layout-row"] > .aem-Grid > .container:first-child {
    width: 40%;
}
[id$="bonus-image__layout-row"] > .aem-Grid > .container:nth-child(2) {
    width: 50%;
    margin-left: 10%;
}
#bonus-tape__layout-row > .aem-Grid {
    align-items: center;
}
#bonus-tape__layout-row > .aem-Grid > .container:first-child {
    width: 45%;
    margin-right: 10%;
}
#bonus-tape__layout-row .caption {
    margin-bottom: 1rem;
    font-family: "sicuveiw-nexus", sans-serif;
    font-weight: 800;
    font-style: normal;
}
#bonus-tape__layout-row > .aem-Grid > .container:nth-child(2) {
    width: 45%;
    transform: rotate(5deg);
}
[id$="bonus-btn"] {
    text-align: center;
}
#kl-sp100-ck .note {
    margin-top: 2rem;
    font-size: min(3.5vw, 12px);
}
/*features-label*/
#features-label {
    background-color: var(--light-pink-color);
}
#features #features-label__title {
    margin-bottom: 50px;
}
#features-label h3 span {
    color: var(--pink-color);
}
#features-label__layout-row > .aem-Grid {
    align-items: center;
}
#features-label__layout-row > .aem-Grid > .container:first-child {
    width: 45%;
    margin-right: 10%;
    transform: rotate(-5deg);
}
#features-label__layout-row > .aem-Grid > .container:nth-child(2) {
    width: 45%;
}
/*features-emoji-frame*/
#features-emoji-frame {
    background-color: var(--light-blue-color);
}
#features-emoji-frame h3 span {
    color: var(--blue-color);
}
#features-emoji-frame h4 {
    color: var(--brown-color);
}
#features-emoji {
    margin-bottom: 100px;
}
/*features-sample-label*/
#features-sample-label {
    background-color: var(--light-yello-color);
}
#features-sample-label h3 span {
    color: var(--yello-color);
}
/*features-app*/
#features-app h3 span {
    color: var(--purple-color);
}
#features-app__inner {
    max-width: 1300px;
}
#features-app__layout-row > .aem-Grid {
    flex-wrap: wrap;
    align-items: flex-end;
    justify-content: center;
}
#features-app__layout-row > .aem-Grid > .container:first-child {
    width: calc(60% - 40px);
    margin-right: 40px;
    min-width: 650px;
}
#features-app__layout-row > .aem-Grid > .container:nth-child(2) {
    width: 40%;
    min-width: 420px;
    margin-top: 30px;
}
#kl-sp100-ck .app-desc-smartphone {
    font-size: 16px;
    color: var(--brown-color);
    font-weight: bold;
    text-align: left;
    width: fit-content;
    max-width: 100%;
    margin: 0 auto;
}
#features-app-step__layout-row > .aem-Grid {
    align-items: flex-end;
}
#features-app-step__layout-row > .aem-Grid > .container {
    position: relative;
    margin-right: 10px;
}
#features-app-step__layout-row > .aem-Grid > .container:last-child {
    margin-right: 0px;
}
#features-app-step__layout-row > .aem-Grid > .container::before {
    content: "";
    position: absolute;
    bottom: calc((100% - 32px) / 2);
    transform: translateY(50%);
    right: -45px;
    width: 70px;
    aspect-ratio: 1;
    background: no-repeat url(/content/dam/casio/global/label-writer/special/kl-sp100-ck/img/icon-arrow.svg);
    background-size: contain;
    background-position: center;
    z-index: 1;
}
#features-app-step__layout-row > .aem-Grid > .container:last-child::before {
    content: none;
}
#app-label-connection {
    border-radius: 20px;
    border: solid 6px var(--light-purple-color);
    padding: 20px;
    aspect-ratio: 1.1;
    display: flex;
    align-items: center;
}
#app-label-connection h4 {
    text-align: left;
    width: fit-content;
    max-width: 100%;
    margin: 0 auto;
}
/*features-photo-gallery*/
#features-photo-gallery {
    background-color: var(--light-green-color);
}
#features-photo-gallery h3 span {
    color: var(--green-color);
}
#features-photo-gallery-image {
    max-width: 600px;
    margin: 0 auto;
}
/*footer-bonus*/
#footer-bonus {
    background-color: var(--light-yello-color);
}
@media (max-width: 767px) {
    /*common font*/
    #kl-sp100-ck h3 {
        text-align: left;
        text-indent: -2.7em;
        padding-left: 2.7em;
    }
    /*common layout*/
    [id$="bonus-image__layout-row"] > .aem-Grid, #bonus-tape__layout-row > .aem-Grid, #features-label__layout-row > .aem-Grid, #features-app__layout-row > .aem-Grid {
        flex-direction: column;
    }
    [id$="bonus-image__layout-row"] > .aem-Grid > .container, #bonus-tape__layout-row > .aem-Grid > .container, #features-label__layout-row > .aem-Grid > .container, #features-app__layout-row > .aem-Grid > .container {
        width: 100% !important;
        margin: 0 0 40px 0 !important;
    }
    #kl-sp100-ck .cmp-swipe-carousel.swiper-horizontal .swiper-pagination-bullet, .cmp-swipe-vertical-carousel .swiper-pagination-bullet {
        width: 12px;
        height: 12px;
    }
    #bonus {
        padding: 20vw 0 10vw;
    }
    #features-label, #features-emoji-frame, #features-sample-label, #features-photo-gallery, #footer-bonus {
        padding: 30vw 0;
    }
    #features-app {
        padding: 30vw 0 5vw;
    }
    /*bonus*/
    #bonus {
        background-size: 20%, 30%, 20%;
        background-position: top 1% left 5%, top 47% right 5%, top 57% left 5%;
    }
    #bonus-image {
        margin-bottom: 10vw;
    }
    [id$="bonus-nameland"]::after {
        top: -10%;
        left: 50%;
        transform: translateX(-50%);
        width: 12%;
    }
    #bonus-tape__layout-row > .aem-Grid > .container:nth-child(2) {
        transform: rotate(0);
    }
    #features #features-label__title {
        margin-bottom: 30px;
    }
    #features-label__layout-row > .aem-Grid > .container:first-child {
        transform: rotate(0);
    }
    #features-app__inner {
        max-width: 1500px;
    }
    #features-app__layout-row > .aem-Grid > .container:first-child, #features-app__layout-row > .aem-Grid > .container:nth-child(2) {
        min-width: auto;
    }
    #features-app-step__layout-row > .aem-Grid {
        flex-wrap: wrap;
    }
    #features-app-step__layout-row > .aem-Grid > .container {
        width: calc(50% - 5px);
        margin: 0;
        margin-bottom: 20px;
    }
    #features-app-step__layout-row > .aem-Grid > .container:first-child {
        margin-right: 10px;
    }
    #features-app-step__layout-row > .aem-Grid > .container:nth-child(3) {
        margin-bottom: 0px;
    }
    #features-app-step__layout-row > .aem-Grid > .container::before {
        content: none;
    }
    #kl-sp100-ck .app-desc-smartphone {
         font-size: min(3.6vw, 14px);
    }

    #features-emoji {
        margin-bottom: 10vw;
    }
}